
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "mnoe_cli/version"

Gem::Specification.new do |spec|
  spec.name          = "mnoe_cli"
  spec.version       = MnoeCli::VERSION
  spec.authors       = ["Olivier Brisse"]
  spec.email         = ["olivier.brisse@maestrano.com"]

  spec.summary       = %q{Maestrano Enterprise CLI toolbelt}
  spec.description   = %q{CLI toolbelt for the Maestrano Enterprise framework}
  spec.homepage      = "https://github.com/maestrano/mnoe_cli"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency 'commander'
  spec.add_runtime_dependency 'octokit', '~> 4.0'
  spec.add_runtime_dependency 'activesupport', '>= 4.2.10'
  spec.add_runtime_dependency 'faraday-http-cache'

  spec.add_development_dependency "bundler", "~> 1.16"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
end
